- NAME
- DESCRIPTION
- METHODS
- SEE ALSO

# NAME

HTML::Mason::Component::Subcomponent - Mason Subcomponent Class

# DESCRIPTION

This is a subclass of HTML::Mason::Component. Mason uses it to implement both subcomponents (defined by `<%def>`) and methods (defined by `<%method>`).

A subcomponent/method gets most of its properties from its owner. Note that the link from the subcomponent to its owner is a weak reference (to prevent circular references), so if you grab a subcomponent/method object, you should also grab and hold a reference to its owner. If the owner goes out of scope, the subcomponent/method object will become unusable.

# METHODS

is_method

  Returns 1 if this is a method (declared by `<%method>`), 0 if it is a subcomponent (defined by c<< <%def> >>).

owner

  Returns the component object within which this subcomponent or method was defined.

# SEE ALSO

HTML::Mason::Component